=== plugins/Scrollkeeper/CMakeLists.txt ===
install( FILES .directory DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Scrollkeeper )
