## khelpcenter 18.04.0

=== debian/changelog ===
khelpcenter (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the transitional khelpcenter4 package, already shipped in stable,
    and no more referenced by packages in the Debian archive (Closes: #874757)
    - stop forcing --destdir on dh_auto_install, there is only one binary now
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 09 May 2018 08:06:45 +0200
