=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
 # Add kde-l10n:all substvar
-l10npkgs_firstversion_ok := 4:16.04.3-7~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
