## khelpcenter 20.08.1

=== debian/changelog ===
khelpcenter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:43 +0100

khelpcenter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:47:07 +0100

khelpcenter (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:37:41 +0100

khelpcenter (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump Qt packages to 5.9.0
    - bump KF packages to 5.64.0
    - explicitly add gettext
  * Drop the migration from khelpcenter-dbg, no more needed after two Debian
    stable releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Unregister khelpcenter.categories as conffile, as it is no more in /etc.
  * Update lintian overrides.
  * Add the configuration for the CI on salsa.
  * Conflict against dhelp < 0.6.26, as previous versions used to wipe out
    /usr/share/doc/HTML. (Closes: #929882)

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 11:18:10 +0200
