## khelpcenter 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-set (KDE_APPLICATIONS_COMPACT_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}${KDE_APPLICATIONS_VERSION_MINOR}${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set (KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(KHelpCenter VERSION "5.7.5.${KDE_APPLICATIONS_COMPACT_VERSION}")
+project(KHelpCenter VERSION "5.7.6.${KDE_APPLICATIONS_COMPACT_VERSION}")
 
-set(QT_MIN_VERSION "5.9.0")
+set(QT_MIN_VERSION "5.12.0")
 
 set(KF5_MIN_VERSION "5.64.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -50,7 +50,7 @@
 find_package(Grantlee5 REQUIRED)
 set_package_properties(Grantlee5 PROPERTIES
     DESCRIPTION "Support for HTML templates"
-    URL "http://grantlee.org/"
+    URL "https://github.com/steveire/grantlee"
     TYPE REQUIRED)
 
 find_package(Xapian REQUIRED)
@@ -64,9 +64,6 @@
     DESCRIPTION "Support for extracting text from HTML documents"
     URL "http://www.xmlsoft.org/"
     TYPE REQUIRED)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
 
 add_definitions(
   -DQT_USE_QSTRINGBUILDER
@@ -74,8 +71,11 @@
   -DQT_NO_CAST_FROM_ASCII
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
-  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
 )
+
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+
 
 add_subdirectory( plugins )
 add_subdirectory( searchhandlers )
