=== templates/CMakeLists.txt ===
install( FILES glossary.html index.html search.html DESTINATION ${DATA_INSTALL_DIR}/khelpcenter/templates )
