=== plugins/Manpages/CMakeLists.txt ===

install( FILES .directory man1.desktop man2.desktop man3.desktop man4.desktop    man5.desktop man6.desktop man7.desktop man8.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/plugins/Manpages )
