=== debian/changelog ===
khelpcenter (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - Qt >= 5.12
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Remove override for tag postinst-must-call-ldconfig dropped from lintian.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Drop breaks/replaces against khelpcenter4.
  * Lintian renamed tag binary-without-manpage => no-manual-page.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Dec 2020 15:17:35 +0100
