=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.64.0~),
                gettext,
                kinit-dev (>= 5.64.0~),
@@ -23,10 +23,10 @@
                libxml2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.12.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
+Homepage: https://invent.kde.org/system/khelpcenter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khelpcenter
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khelpcenter.git
 
@@ -34,8 +34,6 @@
 Architecture: any
 Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: man-db
-Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
-Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
 Conflicts: dhelp (<< 0.6.26)
 Description: KDE documentation viewer
  KHelpCenter uses meta data files which describe the documentation
