=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: khelpcenter
 Section: doc
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.64.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
                kinit-dev (>= 5.64.0~),
                libgrantlee5-dev,
-               libkf5archive-dev (>= 5.64.0~),
-               libkf5bookmarks-dev (>= 5.64.0~),
-               libkf5config-dev (>= 5.64.0~),
-               libkf5coreaddons-dev (>= 5.64.0~),
-               libkf5dbusaddons-dev (>= 5.64.0~),
-               libkf5doctools-dev (>= 5.64.0~),
-               libkf5i18n-dev (>= 5.64.0~),
-               libkf5khtml-dev (>= 5.64.0~),
-               libkf5service-dev (>= 5.64.0~),
-               libkf5windowsystem-dev (>= 5.64.0~),
+               libkf5archive-dev (>= 5.83.0~),
+               libkf5bookmarks-dev (>= 5.83.0~),
+               libkf5config-dev (>= 5.83.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5dbusaddons-dev (>= 5.83.0~),
+               libkf5doctools-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5khtml-dev (>= 5.83.0~),
+               libkf5service-dev (>= 5.83.0~),
+               libkf5windowsystem-dev (>= 5.83.0~),
                libxapian-dev,
                libxml2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/khelpcenter
